#86 1.6 B2 CVS Add to clipping cart - Sources - Family - Individ

CVS
closed-fixed
5
2008-08-30
2008-02-24
Im
No

Hi,

I tried to add Source, Family, Individual to the Clipping cart but I had this error message on the page and the system log (this one is for source):

"Type","Date/time","User","Message"
"E","23.02.2008 23:22:00","admin","ERROR 8: Undefined variable: type; Error occurred on line 345 of file clippings.php; Using URL: genmod/clippings.php?action=add&amp;id=S51&amp;type=sour; 0 Error occurred on line <b>345</b> of file <b>clippings.php</b>;
"
"E","23.02.2008 23:22:00","admin","ERROR 8: Undefined variable: type; Error occurred on line 345 of file clippings.php; Using URL: genmod/clippings.php?action=add&amp;id=S51&amp;type=sour; "
"E","23.02.2008 23:22:00","admin","ERROR 8: Undefined variable: type; Error occurred on line 325 of file clippings.php; Using URL: genmod/clippings.php?action=add&amp;id=S51&amp;type=sour; 0 Error occurred on line <b>325</b> of file <b>clippings.php</b>;
"
"E","23.02.2008 23:22:00","admin","ERROR 8: Undefined variable: type; Error occurred on line 325 of file clippings.php; Using URL: genmod/clippings.php?action=add&amp;id=S51&amp;type=sour; "
"E","23.02.2008 23:22:00","admin","ERROR 8: Undefined variable: type; Error occurred on line 314 of file clippings.php; Using URL: genmod/clippings.php?action=add&amp;id=S51&amp;type=sour; 0 Error occurred on line <b>314</b> of file <b>clippings.php</b>;
"
"E","23.02.2008 23:22:00","admin","ERROR 8: Undefined variable: type; Error occurred on line 314 of file clippings.php; Using URL: genmod/clippings.php?action=add&amp;id=S51&amp;type=sour; "

Thanks,
-Im

Discussion

    • labels: --> Miscellaneous
    • assigned_to: nobody --> sjouke
    • priority: 5 --> 7
    • milestone: --> CVS
     
    • priority: 7 --> 5
     
  • Logged In: YES
    user_id=816380
    Originator: NO

    Hi,

    This is fixed in the latest clippings.php

    Boudewijn

     
    • status: open --> open-fixed
     
  • Im
    Im
    2008-03-12

    Logged In: YES
    user_id=1262354
    Originator: YES

    Hi Boudewijn

    Could you please help me out with a small thing.
    Right now I'm on a different PC and my PC is not available. I try to install here xampp with cvs and I forgot the address for the sourceforge net cvs root. Could you please write down the address for me?

    Thanks,
    Im

     
  • Logged In: YES
    user_id=816380
    Originator: NO

    Hi Im,

    That is: genmod.cvs.sourceforge.net:/cvsroot/genmod

    Boudewijn

     
  • Im
    Im
    2008-03-15

    Logged In: YES
    user_id=1262354
    Originator: YES

    Hi,

    I have no more error messages. But I don't have anything in my clipping cart eather.
    "Your Clippings Cart is empty."

    -Im

     
  • Logged In: YES
    user_id=816380
    Originator: NO

    Hmm funny!
    With some testing, I do get error messages!
    I fixed one issue, can you please try the latest clippings.php and let me know if it's ok?

    Thanks,
    Boudewijn

     
  • Im
    Im
    2008-03-15

    Logged In: YES
    user_id=1262354
    Originator: YES

    Hi Boudewijn

    Checked the latest CVS and: Your Clippings Cart is empty.

    Sorry,
    -Im

     
  • Logged In: YES
    user_id=816380
    Originator: NO

    Ok then we must dig a bit deeper....
    - For what userlevel is your cart enabled in privacy settings?
    - What type of user is logged in when you add something?
    - What do you try to add and what options do you choose for adding?

    Regards,
    Boudewijn

     
  • Im
    Im
    2008-03-15

    Logged In: YES
    user_id=1262354
    Originator: YES

    Hi,

    1 Show only to authenticated users
    2 admin
    3 Try to add Individual, Source. What option? There are no options...
    This Source -> Other -> Add to Clipping Cart -- Takes me to the 'Clippings Cart' page and shows :

    Clippings Cart
    THE FAMILY TREE CLIPPINGS CART
    The Clippings Cart allows you to take extracts ("clippings") from this family tree and bundle them up into a single file for downloading and subsequent importing into your own genealogy program. The downloadable file is recorded in GEDCOM format.

    * How to take clippings?
    This is really simple. Whenever you see a clickable name (individual, family, or source) you can go to the Details page of that name. There you will see the Add to Clippings Cart option. When you click that link you will be offered several options to download.

    * How to download?
    Once you have items in your cart, you can download them just by clicking the Download Now link. Follow the instructions and links.

    Your Clippings Cart is empty.

    Thats it.
    What next?
    -Im

     
  • Im
    Im
    2008-04-16

    Logged In: YES
    user_id=1262354
    Originator: YES

    Hi,

    I have some time off now, so I have a question.
    How and where do you store the clipping cart info?

    I have just tested the latest CVS and I still don't have anything in the Clipping Cart.

    Regards,
    -Im

     
  • Logged In: YES
    user_id=816380
    Originator: NO

    Hi Im,

    The clipping cart is stored as a session variable in the session data.
    The session data is stored in the folder pointed to in the php.ini.

    This weekend I will have a look again, but it seems I cannot reproduce it.
    Can I somehow see on your system what's going on exactely?

    Regards,
    Boudewijn

     
  • Im
    Im
    2008-04-16

    Logged In: YES
    user_id=1262354
    Originator: YES

    Hi,

    Thanks for the info.
    My session file contains this right after I have added an Indi to the Clipping Cart:
    gm_user|s:5:"admin";IP|s:9:"127.0.0.1";cookie_login|b:0;CLANGUAGE|s:7:"english";usertime|i:1208379062;timediff|i:7;GEDCOM|s:18:"Test.ged";GEDCOMID|s:1:"1";show_context_help|s:1:"1";cart|a:0:{}changes|a:0:{}check_login|i:1208379071;

    The only strange thing I can see, beside the cart is empty, is that I use 'localhost' and not '127.0.0.1' IP address. I don't know if this matters at all.
    The config.php :
    $CONFIG["SERVER_URL"] = 'http://localhost/cvs/genmod/';
    $CONFIG_PARMS["http://localhost/cvs/genmod/"] = $CONFIG;

    Just for fun, I have changed the '127.0.0.1' in the session file to 'localhost'. The result is:
    ERROR 2: Cannot modify header information - headers already sent by (output started at D:\xampp\htdocs\cvs\genmod\includes\functions.php:2595)

    Warning: Cannot modify header information - headers already sent by (output started at D:\xampp\htdocs\cvs\genmod\includes\functions.php:2595) in D:\xampp\htdocs\cvs\genmod\includes\functions.php on line 3942
    Intrusion detected on session for IP localhost by 127.0.0.1

    Still using XAMPP on local network. What info can I send you? Config file? DB export for the settings?

    Regards,
    -Im

     
  • Logged In: YES
    user_id=816380
    Originator: NO

    Hi Im,

    It seems that the clippings page doesn't get the parameters right, because you should get a text for choosing what to add first, instead of the general clippings page. I changed the url from the menu slightly, this has been a fix elsewhere for a similar problem before. Can you please try the new:

    source_ctrl.php
    individual_ctrl.php
    family_ctrl.php
    media_ctrl.php

    They are in the includes/controllers folder.

    Thanks,
    Boudewijn

     
  • Im
    Im
    2008-04-18

    Logged In: YES
    user_id=1262354
    Originator: YES

    Hi Boudewijn,

    Your latest changes in CVS is working exelent!
    This one is fixed.

    Thank you!
    -Im

     
    • status: open-fixed --> pending-fixed
     
    • status: pending-fixed --> closed-fixed